<?php

require_once "../header.php";

$data = array();
$data["error"] = false;
$data["showall"] = $_SESSION['showalltasks'];

if ( !isset($_REQUEST['showall']) ) pushData("Invalid form data");
if ( ($_REQUEST['showall'] !== "0") && ($_REQUEST['showall'] !== "1") ) pushData("Invalid ShowAll State");
$_SESSION['showalltasks'] = ($_REQUEST['showall'] == "0") ? false : true;
$data["showall"] = $_SESSION['showalltasks'];
$data["message"] = "Showing " . (($_SESSION['showalltasks']) ? "All Tasks" : "Incomplete Tasks");

pushData();

exit();

function pushData($errormsg = null) {
    global $data;

    if ( !is_null($errormsg) ) {
        $data["error"] = true;
        $data["message"] = $errormsg;
    }
    header('Content-Type: application/json');
    echo json_encode($data);
    exit();
}
